[torqueusers] Trying to get gpu support enabled with Torque 2.5.9

Michael Jennings mej at lbl.gov
Wed Oct 2 11:45:06 MDT 2013


On Wednesday, 02 October 2013, at 10:38:57 (-0700),
Jagga Soorma wrote:

> Thanks for your reply Eva.  I just tried compiling the 4.2.5 release but
> still can't see the gpu status.  Here is what I have done:
> 
> --
> On server did:
> ./configure --enable-nvidia-gpus --enable-debug
> make
> make install
> 
> On client did:
> ./configure --enable-nvidia-gpus --enable-debug
> make
> make rpm
> installed the torque and torque-client rpm

This won't work.  There's currently no GPU support in the spec file.
You'll need to do:

rpmbuild --define 'acflags --enable-nvidia-gpus' --with debug -ta torque-4.2.5.tar.gz

and then install the resulting torque and torque-client RPMs.

Michael

-- 
Michael Jennings <mej at lbl.gov>
Senior HPC Systems Engineer
High-Performance Computing Services
Lawrence Berkeley National Laboratory
Bldg 50B-3209E        W: 510-495-2687
MS 050B-3209          F: 510-486-8615


More information about the torqueusers mailing list